#
# Conditional build:
%bcond_without	qsa		# build with bundled QtSingleApplication

%define		qtver	4.5
Summary:	qbittorrent - Qt4-based torrent client
Summary(hu.UTF-8):	qbittorrent - Qt4-alapú torrent kliens
Summary(pl.UTF-8):	qbittorrent - graficzny klient torrenta oparty na Qt4
Name:		qbittorrent
Version:	3.0.10
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/qbittorrent/%{name}-%{version}.tar.gz
# Source0-md5:	f13c9416524fce8297b41caeadb04f1e
Patch0:		lang-hu-2.3.0.patch
Patch1:		cxx.patch
URL:		http://qbittorrent.sourceforge.net/
BuildRequires:	GeoIP-devel
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
%{?with_qsa:BuildRequires:	QtSingleApplication-devel >= 2.6-5}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	boost-devel >= 1.36.0
BuildRequires:	libnotify-devel >= 0.4.2
BuildRequires:	libtorrent-rasterbar-devel >= 1:0.15.9
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	which
Requires:	desktop-file-utils
Requires:	libtorrent-rasterbar >= 1:0.15.9
Requires:	python >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qTorrent - Qt4-based torrent client.

%description -l hu.UTF-8
qBittorrent - Qt4-alapú torrent kliens

%description -l pl.UTF-8
qTorrent - graficzny klient torrenta oparty na Qt4.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %{with qsa}
%{__rm} -r src/qtsingleapp
%endif

%build
# NOTE: not autoconf based configure
./configure \
	--prefix=%{_prefix} \
	%{?with_qsa:--with-qtsingleapplication=system}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS TODO Changelog
%attr(755,root,root) %{_bindir}/qbittorrent
%{_mandir}/man1/qbittorrent.1*
%{_iconsdir}/hicolor/*/apps/qbittorrent.png
%{_desktopdir}/qBittorrent.desktop
%{_pixmapsdir}/qbittorrent.png
%changelog
* Sun Jul 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qbittorrent.git;a=log;h=master

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> e40238d
- fix ambiguity of a c++ method call
- rel 1

* Thu Jul 11 2013 Jan Rękorajski <baggins@pld-linux.org> 56212c1
- up to 3.0.10

* Sat Mar 30 2013 Elan Ruusamäe <glen@delfi.ee> 8553671
- up to 3.0.9; fails with  some C++ errors

* Fri Oct 26 2012 Elan Ruusamäe <glen@delfi.ee> ceedd8f
- up to 3.0.6

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d85f27
- release 2 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> cc3c0a5
- Updated to 2.9.11

* Sun May 06 2012 Elan Ruusamäe <glen@pld-linux.org> f8a7f07
- up to 2.9.8

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 330f7fa
- release 2

* Fri Dec 30 2011 Zsolt Udvari <uzsolt@pld-linux.org> 9576560
- 2.9.3

* Wed Nov 23 2011 lisu <lisu@pld-linux.org> a46b473
- updated to 2.9.2

* Mon Oct 31 2011 Zsolt Udvari <uzsolt@pld-linux.org> ed148ec
- 2.9.1

* Mon Oct 10 2011 lisu <lisu@pld-linux.org> 99a58ca
- 2.9.0
- newer libtorrent-rasterbar

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> 016e2a0
- update-desktop-database (.desktop specifies MimeType)

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> f70dce3
- 2.8.5

* Fri Aug 12 2011 lisu <lisu@pld-linux.org> 1f2ea63
- 2.8.4

* Mon Aug 08 2011 lisu <lisu@pld-linux.org> f219b66
- 2.8.3

* Tue Jun 21 2011 lisu <lisu@pld-linux.org> 4fcf4ef
- updated to 2.8.2

* Mon Jun 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> 389b1f4
- 2.8.1

* Mon Jun 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> cc4aba0
- include changelogs from DEVEL

* Mon Jun 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> a02ed12
- R and BR libtorrent-rasterbar >= 1:0.15.6

